---

#! /zdci/db/releases/20250711223207/lkp-src/jobs/kernel-selftests.yaml
suite: kernel-selftests
testcase: kernel-selftests
category: functional
need_cpu: 2
need_memory: 2G
kernel-selftests:
  group: damon
job_origin: kernel-selftests.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: validate
testbox: lkp-skl-d08
tbox_group: lkp-skl-d08
job_file: "/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-damon-debian-12-x86_64-20240206.cgz-4ece01897627-20250718-293900-1t3g73z-0.yaml"
id: 5d3d4560cac4df08ec842787d34b28f1f0d2410d
queuer_version: "/zdci/src/lkp"

#! /zdci/db/releases/20250711223207/lkp-src/hosts/lkp-skl-d08
model: Skylake
nr_node: 1
nr_cpu: 36
memory: 32G
nr_ssd_partitions: 3
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPEKNW010T8_PHNH119301NC1P0B-part*"
rootfs_partition: "/dev/disk/by-id/ata-CT500MX500SSD1_2043E4BD593B-part3"
brand: Intel(R) Core(TM) i9-9980XE CPU @ 3.00GHz
netconsole_port: 6682
ucode: '0x2007006'

#! /zdci/db/releases/20250711223207/lkp-src/include/category/functional
kmsg:
heartbeat:
meminfo:

#! /zdci/db/releases/20250711223207/lkp-src/include/category/ALL
sanity-check:

#! /zdci/db/releases/20250711223207/lkp-src/include/queue/cyclic
commit: 4ece01897627ddeefcede4ac709cd99763994dc4

#! /zdci/db/releases/20250711223207/lkp-src/programs/kernel-selftests/include
need_kernel_version:
need_kconfig:
- DAMON: "y"
- DAMON_VADDR: "y"
- DAMON_PADDR: "y"
- DAMON_SYSFS: "y"
- DAMON_LRU_SORT: "y"
- DAMON_RECLAIM: "y"
initrds:
- linux_headers
- linux_selftests
kconfig: x86_64-rhel-9.4-kselftests
enqueue_time: 2025-07-18 03:57:12.405036265 +08:00
_rt: "/result/kernel-selftests/damon/lkp-skl-d08/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/4ece01897627ddeefcede4ac709cd99763994dc4"
compiler: gcc-12
head_commit: be472751c7b8ecf9d762678b9043bb3d716279fc
base_commit: 347e9f5043c89695b01e66b3ed111755afcf1911
branch: linux-next/master
rootfs: debian-12-x86_64-20240206.cgz

#! schedule options
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/src"
arch: x86_64
max_uptime: 6000
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/kernel-selftests/damon/lkp-skl-d08/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/4ece01897627ddeefcede4ac709cd99763994dc4/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/4ece01897627ddeefcede4ac709cd99763994dc4/vmlinuz-6.16.0-rc5-00175-g4ece01897627
- branch=linux-next/master
- job=/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-damon-debian-12-x86_64-20240206.cgz-4ece01897627-20250718-293900-1t3g73z-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4-kselftests
- commit=4ece01897627ddeefcede4ac709cd99763994dc4
- intremap=posted_msi
- max_uptime=6000
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/4ece01897627ddeefcede4ac709cd99763994dc4/modules.cgz"
linux_headers_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/4ece01897627ddeefcede4ac709cd99763994dc4/linux-headers.cgz"
linux_selftests_initrd: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/4ece01897627ddeefcede4ac709cd99763994dc4/linux-selftests.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20250628.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20241102.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/kernel-selftests_20250215.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/kernel-selftests-x86_64-7ff71e6d9239-1_20250215.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20241102.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20250715224108/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-skl-d08/kernel-selftests-damon-debian-12-x86_64-20240206.cgz-4ece01897627-20250718-293900-1t3g73z-0.cgz"
last_kernel: 6.16.0-rc6
acpi_rsdp: '0x000f05b0'
repeat_to: 1

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-9.4-kselftests/gcc-12/4ece01897627ddeefcede4ac709cd99763994dc4/vmlinuz-6.16.0-rc5-00175-g4ece01897627"
result_root: "/result/kernel-selftests/damon/lkp-skl-d08/debian-12-x86_64-20240206.cgz/x86_64-rhel-9.4-kselftests/gcc-12/4ece01897627ddeefcede4ac709cd99763994dc4/0"
user: lkp

#! /zdci/db/releases/20250716161345/lkp-src/include/site/shz
dequeue_time: 2025-07-18 06:08:33.492264371 +08:00
job_state: finished
loadavg: 2.18 1.05 0.40 1/453 3942
start_time: '1752790313'
end_time: '1752790353'
version: "/lkp/lkp/.src-20250717-155621:a23b6feb1c19-dirty:447129e6de5f-dirty"
